查询费用明细列表
POST
/bd/fee/management/open/feeManagement/otherFee/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/bd/fee/management/open/feeManagement/otherFee/list | HTTPS | POST | 1 |
请求参数
offsetinteger必填lengthinteger必填date_typestring必填start_datestring必填end_datestring必填sidsarray<any>other_fee_type_idsarray<any>status_orderintegerdimensionsarray<any>apportion_statusarray<any>status_mergeintegersearch_fieldstringsearch_valuestring请求示例
{
"offset": 0,
"length": 20,
"date_type": "gmt_create",
"start_date": "2022-12-01",
"end_date": "2023-12-01",
"sids": [
100,
113
],
"other_fee_type_ids": [
1232,
1246
],
"status_order": 3,
"dimensions": [
1,
2,
3,
4
],
"apportion_status": [
1,
2,
3,
4
],
"status_merge": 2,
"search_field": "create_name",
"search_value": "何芳"
}
返回结果
Json Object
codeinteger必填msgstring必填dataobject必填隐藏子属性
totalinteger必填recordsarray<object>必填隐藏子属性
idstring必填numberstring必填dimension_idinteger必填dimensionstring必填apportion_rule_idinteger必填apportion_rulestring必填datestring必填feenumber必填ratenumber必填other_fee_type_idstring必填other_fee_typestring必填currency_codestring必填currency_iconstring必填allocation_statusstring必填status_order_idinteger必填status_orderstring必填create_namestring必填create_timestring必填remarkstring必填is_request_poolinteger必填detailsarray<object>必填隐藏子属性
idstring必填fof_idstring必填sortinteger必填dimension_idinteger必填dimensionstring必填dimension_valuestring必填feenumber必填fee_sortnumber必填store_typestring必填store_infosarray<object>必填隐藏子属性
idstring必填namestring必填currency_iconstring必填currency_icon_sortstring必填remarkstring必填返回成功示例
{
"code": 0,
"msg": "操作成功",
"data": {
"total": 1
"records": [
{
"id": "304264891485171712",
"number": "FY221230000001",
"date": "2022-01",
"fee": 29999.00,
"rate": 10.1235,
"dimension_id": 2,
"dimension": "ASIN",
"apportion_rule_id": 1,
"apportion_rule": "按销售额占比",
"other_fee_type_id": "1165",
"other_fee_type": "其他费",
"currency_code": "USD",
"currency_icon": "$",
"allocation_status": "未分摊",
"status_order_id": 3,
"status_order": "已处理",
"create_name": "超级管理员",
"create_time": "2022-12-30 12:06:13",
"is_request_pool": 0,
"remark": "",
"details": [
{
"id": "304264891485471232",
"sort": 1,
"fee": 29999.00,
"remark": "月",
"fof_id": "304264891485213184",
"store_type": "全部店铺",
"store_infos": null,
"dimension_id": 2,
"dimension": "ASIN",
"dimension_value": "B00J3JX1ZK",
"fee_sort": 303693.58,
"currency_icon": "$",
"currency_icon_sort": "¥"
}
]
}
]
}
}